@import '~src/assets/styles/darktheme.scss';
@import '~src/assets/styles/variables.scss';

$main-circle-diameter: 80vmin;
$small-circle-diameter: 15vmin;

.container {
  position: fixed;
  top: 50%;
  left: 50%;
  width: $main-circle-diameter;
  height: $main-circle-diameter;
  margin-top: calc(#{$main-circle-diameter} / -2);
  margin-left: calc(#{$main-circle-diameter} / -2);

  .small-circle {
    position: absolute;
    width: $small-circle-diameter;
    height: $small-circle-diameter;
    background-color: #2c2c2c;

    border: 1px solid rgba($white, 0.5);
    border-radius: 50%;

    &.top-left {
      top: 0;
      left: 0;
    }

    &.top-right {
      top: 0;
      right: 0;
    }

    &.bottom-left {
      bottom: 0;
      left: 0;
    }

    &.bottom-right {
      bottom: 0;
      right: 0;
    }

    &:before{
      @extend %outer-circle;
    }
  }
}
